#include "config.h"
#include <stdio.h>
#include "sqcom.h"
#include "sq.h"
#include "get_put.h"

/* Get next byte from file and update checksum */

int
getc_crc(FILE *ib)
{
	int c;

	c = getc(ib);
	if(c != EOF) {
		crc += c;	/* checksum */
#if (SIZEOF_UNSIGNED > 2)
		if (crc > 0xffff) crc -= (unsigned)0x10000;
#endif
	}
	return c;
}

/* Output functions with error reporting */

void
putce(int c, FILE *iob)
{
	if(putc(c, iob) == EOF) {
		fprintf(stderr, "Write error in putc()\n");
		exit(1);
	}
}

void
putwe(int w, FILE *iob)
{
	if(q_put_int16(w,iob) == EOF) {
		fprintf(stderr,"Write error in q_put_int16()\n");
		exit(1);
	}
}
