#include <stdio.h>
#include "sqcom.h"
#include "usq.h"
#include "dnode_entry.h"

/* return a pointer to a dnode entry w/range checking */

int *dnode_entry(int parent, int child)
{
  /* if value is out of range crash and burn */

  if ((parent < 0) || (parent >= (NUMVALS-1)) ||
      (child < 0) || (child > 1)) {
    fprintf(stderr,"unsqueeze: out of range dnode value\n");
    exit(1);
  }

  return &dnode[parent].children[child];
}
