#include "config.h"
#include <stdio.h>

int q_get_int16(FILE *stream)
{
  int c1,c2;

  if ((c1 = fgetc(stream)) == EOF) return EOF;
  if ((c2 = fgetc(stream)) == EOF) return EOF;

  return c1 | (c2 << 8);
}

int q_put_int16(int w, FILE *stream)
{
  int c1,c2;

  c1 = w & 0xff;
  c2 = (w >> 8) & 0xff;

  if (fputc(c1,stream) == EOF) return EOF;
  if (fputc(c2,stream) == EOF) return EOF;
  return 0;
}
