#include <stdio.h>
#include "usq_help.h"

void display_help(void)
{
  display_version();
  printf("Conceived by Richard Greenlaw Modified by Chuck Forsberg et al.\n"
         "\n"
         "Usage: unsqueeze [-p count][-f count][-L][-N][-n][-o dir][-O][-V][-h] [file ...]\n"
         "\n"
         "    -p count      decode count lines to standard output\n"
         "    -f count      same, but with an FF appended\n"
         "    -L            force name of output file to lowercase\n"
         "    -N            change nl to crlf\n"
         "    -n            change crlf to nl\n"
         "    -o dir        output to dir\n"
         "    -O            output to stdout\n"
         "    -V            display version information and exit\n"
         "    -h            you're looking at it\n");
}

void display_version(void)
{
  printf("file unsqueezer version " VERSION " (originally CP/M version 2.0  8-14-83)\n");
}
